# NOTE: Derived from blib/lib/InfoSys/FreeDB/Entry.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package InfoSys::FreeDB::Entry;

#line 780 "blib/lib/InfoSys/FreeDB/Entry.pm (autosplit into blib/lib/auto/InfoSys/FreeDB/Entry/mk_discid.al)"
sub mk_discid {
    my $self = shift;

    # Make sum
    my $sum = 0;
    my @track = $self->get_track();
    for ( my $i = 0; $i < scalar( @track ); $i++) {
        $sum += &_digit_sum( $track[$i]->get_offset() / 75 );
    }

    # Make ID out of sum, get_disc_length()-2 and the number of tracks.
    # And call set_discid().
    $self->set_discid( sprintf("%08x",
        ( $sum % 0xff ) << 24 |
        int( $self->get_disc_length() - 2 ) << 8 |
        scalar( @track )
    ) );
}

# end of InfoSys::FreeDB::Entry::mk_discid
1;
