# NOTE: Derived from blib/lib/InfoSys/FreeDB/Entry.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package InfoSys::FreeDB::Entry;

#line 1079 "blib/lib/InfoSys/FreeDB/Entry.pm (autosplit into blib/lib/auto/InfoSys/FreeDB/Entry/set_idx_track.al)"
sub set_idx_track {
    my $self = shift;
    my $idx = shift;
    my $val = shift;

    # Check if index is a positive integer or zero
    ( $idx == int($idx) ) || throw Error::Simple("ERROR: InfoSys::FreeDB::Entry::set_idx_track, the specified index '$idx' is not an integer.");
    ( $idx >= 0 ) || throw Error::Simple("ERROR: InfoSys::FreeDB::Entry::set_idx_track, the specified index '$idx' is not a positive integer or zero.");

    # Check if isas/refs/rxs/values are allowed
    &_value_is_allowed( 'track', $val ) || throw Error::Simple("ERROR: InfoSys::FreeDB::Entry::set_idx_track, one or more specified value(s) '@_' is/are not allowed.");

    # Set the value in the list
    $self->{InfoSys_FreeDB_Entry}{track}[$idx] = $val;
}

# end of InfoSys::FreeDB::Entry::set_idx_track
1;
