# NOTE: Derived from blib/lib/InfoSys/FreeDB/Response/DiscId.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package InfoSys::FreeDB::Response::DiscId;

#line 198 "blib/lib/InfoSys/FreeDB/Response/DiscId.pm (autosplit into blib/lib/auto/InfoSys/FreeDB/Response/DiscId/new_from_content_ref.al)"
sub new_from_content_ref {
    my $class = shift;
    my $content_ref = shift;

    # Convert $opt->{content_ref} to @content_ref
    my @content_ref = split(/[\n\r]+/, ${$content_ref} );

    # Parse first line
    my $line = shift(@content_ref);
    my ($code, $tail) = $line =~ /$CODE_RX/;
    defined ($code) ||
        throw Error::Simple ('ERROR: InfoSys::FreeDB::Response::DiscId::new_from_content_ref, first line of specified \'content_ref\' does not contain a code.');
    my %opt;
    if ($code == 200) {
        my @tail = split(/\s+/, $tail, 4);
        %opt = (
            code => $code,
            discid => $tail[3],
            result => 'Calculated disc ID properly',
        );
    }
    elsif ($code == 500) {
        %opt = (
            code => $code,
            error => 1,
            result => 'Command Syntax error',
        );
    }
    else {
        throw Error::Simple ("ERROR: InfoSys::FreeDB::Response::DiscId::new_from_content_ref, unknown code '$code' returned. Allowed codes are 200 and 500.");
    }

    # Create a new object and return it
    return( $class->new( \%opt ) );
}

# end of InfoSys::FreeDB::Response::DiscId::new_from_content_ref
1;
