# NOTE: Derived from blib/lib/InfoSys/FreeDB/Response/Query.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package InfoSys::FreeDB::Response::Query;

#line 548 "blib/lib/InfoSys/FreeDB/Response/Query.pm (autosplit into blib/lib/auto/InfoSys/FreeDB/Response/Query/set_idx_match.al)"
sub set_idx_match {
    my $self = shift;
    my $idx = shift;
    my $val = shift;

    # Check if index is a positive integer or zero
    ( $idx == int($idx) ) || throw Error::Simple("ERROR: InfoSys::FreeDB::Response::Query::set_idx_match, the specified index '$idx' is not an integer.");
    ( $idx >= 0 ) || throw Error::Simple("ERROR: InfoSys::FreeDB::Response::Query::set_idx_match, the specified index '$idx' is not a positive integer or zero.");

    # Check if isas/refs/rxs/values are allowed
    &_value_is_allowed( 'match', $val ) || throw Error::Simple("ERROR: InfoSys::FreeDB::Response::Query::set_idx_match, one or more specified value(s) '@_' is/are not allowed.");

    # Set the value in the list
    $self->{InfoSys_FreeDB_Response_Query}{match}[$idx] = $val;
}

# end of InfoSys::FreeDB::Response::Query::set_idx_match
1;
