# NOTE: Derived from blib/lib/InfoSys/FreeDB/Response/SignOn.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package InfoSys::FreeDB::Response::SignOn;

#line 323 "blib/lib/InfoSys/FreeDB/Response/SignOn.pm (autosplit into blib/lib/auto/InfoSys/FreeDB/Response/SignOn/_initialize.al)"
sub _initialize {
    my $self = shift;
    my $opt = defined($_[0]) ? shift : {};

    # Check $opt
    ref($opt) eq 'HASH' || throw Error::Simple("ERROR: InfoSys::FreeDB::Response::SignOn::_initialize, first argument must be 'HASH' reference.");

    # connection_allowed, BOOLEAN, with default value
    $self->set_connection_allowed( exists( $opt->{connection_allowed} ) ? $opt->{connection_allowed} : $DEFAULT_VALUE{connection_allowed} );

    # date, SINGLE
    exists( $opt->{date} ) && $self->set_date( $opt->{date} );

    # hostname, SINGLE
    exists( $opt->{hostname} ) && $self->set_hostname( $opt->{hostname} );

    # read_allowed, BOOLEAN, with default value
    $self->set_read_allowed( exists( $opt->{read_allowed} ) ? $opt->{read_allowed} : $DEFAULT_VALUE{read_allowed} );

    # version, SINGLE
    exists( $opt->{version} ) && $self->set_version( $opt->{version} );

    # write_allowed, BOOLEAN, with default value
    $self->set_write_allowed( exists( $opt->{write_allowed} ) ? $opt->{write_allowed} : $DEFAULT_VALUE{write_allowed} );

    # Call the superclass' _initialize
    $self->SUPER::_initialize($opt);

    # Return $self
    return($self);
}

# end of InfoSys::FreeDB::Response::SignOn::_initialize
1;
