# NOTE: Derived from blib/lib/InfoSys/FreeDB/Response/Sites.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package InfoSys::FreeDB::Response::Sites;

#line 483 "blib/lib/InfoSys/FreeDB/Response/Sites.pm (autosplit into blib/lib/auto/InfoSys/FreeDB/Response/Sites/set_idx_site.al)"
sub set_idx_site {
    my $self = shift;
    my $idx = shift;
    my $val = shift;

    # Check if index is a positive integer or zero
    ( $idx == int($idx) ) || throw Error::Simple("ERROR: InfoSys::FreeDB::Response::Sites::set_idx_site, the specified index '$idx' is not an integer.");
    ( $idx >= 0 ) || throw Error::Simple("ERROR: InfoSys::FreeDB::Response::Sites::set_idx_site, the specified index '$idx' is not a positive integer or zero.");

    # Check if isas/refs/rxs/values are allowed
    &_value_is_allowed( 'site', $val ) || throw Error::Simple("ERROR: InfoSys::FreeDB::Response::Sites::set_idx_site, one or more specified value(s) '@_' is/are not allowed.");

    # Set the value in the list
    $self->{InfoSys_FreeDB_Response_Sites}{site}[$idx] = $val;
}

# end of InfoSys::FreeDB::Response::Sites::set_idx_site
1;
