# NOTE: Derived from blib/lib/InfoSys/FreeDB/Site.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package InfoSys::FreeDB::Site;

#line 241 "blib/lib/InfoSys/FreeDB/Site.pm (autosplit into blib/lib/auto/InfoSys/FreeDB/Site/_initialize.al)"
sub _initialize {
    my $self = shift;
    my $opt = defined($_[0]) ? shift : {};

    # Check $opt
    ref($opt) eq 'HASH' || throw Error::Simple("ERROR: InfoSys::FreeDB::Site::_initialize, first argument must be 'HASH' reference.");

    # address, SINGLE, with default value
    $self->set_address( exists( $opt->{address} ) ? $opt->{address} : $DEFAULT_VALUE{address} );

    # description, SINGLE
    exists( $opt->{description} ) && $self->set_description( $opt->{description} );

    # latitude, SINGLE
    exists( $opt->{latitude} ) && $self->set_latitude( $opt->{latitude} );

    # longitude, SINGLE
    exists( $opt->{longitude} ) && $self->set_longitude( $opt->{longitude} );

    # port, SINGLE
    exists( $opt->{port} ) && $self->set_port( $opt->{port} );

    # protocol, SINGLE
    exists( $opt->{protocol} ) && $self->set_protocol( $opt->{protocol} );

    # site, SINGLE
    exists( $opt->{site} ) && $self->set_site( $opt->{site} );

    # Return $self
    return($self);
}

# end of InfoSys::FreeDB::Site::_initialize
1;
