# NOTE: Derived from blib/lib/InfoSys/FreeDB/Response/LsCat.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package InfoSys::FreeDB::Response::LsCat;

#line 335 "blib/lib/InfoSys/FreeDB/Response/LsCat.pm (autosplit into blib/lib/auto/InfoSys/FreeDB/Response/LsCat/set_idx_category.al)"
sub set_idx_category {
    my $self = shift;
    my $idx = shift;
    my $val = shift;

    # Check if index is a positive integer or zero
    ( $idx == int($idx) ) || throw Error::Simple("ERROR: InfoSys::FreeDB::Response::LsCat::set_idx_category, the specified index '$idx' is not an integer.");
    ( $idx >= 0 ) || throw Error::Simple("ERROR: InfoSys::FreeDB::Response::LsCat::set_idx_category, the specified index '$idx' is not a positive integer or zero.");

    # Check if isas/refs/rxs/values are allowed
    &_value_is_allowed( 'category', $val ) || throw Error::Simple("ERROR: InfoSys::FreeDB::Response::LsCat::set_idx_category, one or more specified value(s) '@_' is/are not allowed.");

    # Set the value in the list
    $self->{InfoSys_FreeDB_Response_LsCat}{category}[$idx] = $val;
}

# end of InfoSys::FreeDB::Response::LsCat::set_idx_category
1;
