# NOTE: Derived from blib/lib/InfoSys/FreeDB/Response/Query.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package InfoSys::FreeDB::Response::Query;

#line 411 "blib/lib/InfoSys/FreeDB/Response/Query.pm (autosplit into blib/lib/auto/InfoSys/FreeDB/Response/Query/_initialize.al)"
sub _initialize {
    my $self = shift;
    my $opt = defined($_[0]) ? shift : {};

    # Check $opt
    ref($opt) eq 'HASH' || throw Error::Simple("ERROR: InfoSys::FreeDB::Response::Query::_initialize, first argument must be 'HASH' reference.");

    # exact_match, BOOLEAN
    exists( $opt->{exact_match} ) && $self->set_exact_match( $opt->{exact_match} );

    # match, MULTI
    if ( exists( $opt->{match} ) ) {
        ref( $opt->{match} ) eq 'ARRAY' || throw Error::Simple("ERROR: InfoSys::FreeDB::Response::Query::_initialize, specified value for option 'match' must be an 'ARRAY' reference.");
        $self->set_match( @{ $opt->{match} } );
    }
    else {
        $self->set_match();
    }

    # Call the superclass' _initialize
    $self->SUPER::_initialize($opt);

    # Return $self
    return($self);
}

# end of InfoSys::FreeDB::Response::Query::_initialize
1;
